-- 增加汇率配置
INSERT INTO `AR_CONFIG` (`CONFIG_NAME`, `TITLE`, `UNIT`, `INPUT_TYPE`, `OPTIONS`, `VALUE`, `TYPE`, `SORT`, `CREATED_AT`, `UPDATED_AT`) VALUES ('exchangeRate', '汇率配置', NULL, 1, NULL, '15.66', '', 16, 1521085263, 1654497631);


-- 商品增加标准价格属性、汇率
ALTER TABLE `AR_SHOP_GOODS` ADD COLUMN `SELL_PRICE_STANDARD` float(16,2) NOT NULL DEFAULT 0.00 COMMENT '标准价格' AFTER `SELL_PRICE`;


-- 套餐商品增加标准价格属性、汇率
ALTER TABLE `AR_DECLARATION_PACKAGE` ADD COLUMN `AMOUNT_STANDARD` float(16,2) NOT NULL DEFAULT 0.00 COMMENT '标准价格' AFTER `PV`;



-- 商品增加标准价格属性、汇率
ALTER TABLE `AR_ORDER_GOODS` ADD COLUMN `STANDARD_PRICE` float(16,2) NOT NULL DEFAULT 0.00 COMMENT '标准价格' AFTER `REAL_PV`;
ALTER TABLE `AR_ORDER_GOODS` ADD COLUMN `REAL_STANDARD_PRICE` float(16,2) NOT NULL DEFAULT 0.00 COMMENT '支付标准价格' AFTER `STANDARD_PRICE`;
ALTER TABLE `AR_ORDER_GOODS` ADD COLUMN `EXCHANGE_RATE` float(10,4) NOT NULL DEFAULT 0.00 COMMENT '汇率' AFTER `STANDARD_PRICE`;


-- 商品增加标准价格属性、汇率
ALTER TABLE `AR_ORDER` ADD COLUMN `ORDER_AMOUNT_STANDARD` float(16,2) NOT NULL DEFAULT 0.00 COMMENT '订单价格-标准价格' AFTER `PAY_PV`;
ALTER TABLE `AR_ORDER` ADD COLUMN `PAY_AMOUNT_STANDARD` float(16,2) NOT NULL DEFAULT 0.00 COMMENT '支付金额-标准价格' AFTER `ORDER_AMOUNT_STANDARD`;
ALTER TABLE `AR_ORDER` ADD COLUMN `EXCHANGE_RATE` float(10,4) NOT NULL DEFAULT 0.00 COMMENT '汇率' AFTER `PAY_AMOUNT_STANDARD`;




-- 会员奖金流水增加奖金数额-标准数值、汇率
ALTER TABLE `AR_FLOW_BONUS` ADD COLUMN `AMOUNT_STANDARD` float(16,2) NOT NULL DEFAULT 0.00 COMMENT '奖金数额-标准数值' AFTER `AMOUNT`;
ALTER TABLE `AR_FLOW_BONUS` ADD COLUMN `EXCHANGE_RATE` float(10,4) NOT NULL DEFAULT 0.00 COMMENT '汇率' AFTER `AMOUNT_STANDARD`;


-- 会员旅游、车房奖金流水增加奖金数额-标准数值、汇率
ALTER TABLE `AR_FLOW_ZONE_POINTS` ADD COLUMN `AMOUNT_STANDARD` float(16,2) NOT NULL DEFAULT 0.00 COMMENT '奖金数额-标准数值' AFTER `AMOUNT`;
ALTER TABLE `AR_FLOW_ZONE_POINTS` ADD COLUMN `EXCHANGE_RATE` float(10,4) NOT NULL DEFAULT 0.00 COMMENT '汇率' AFTER `AMOUNT_STANDARD`;


-- 兑换点数增加标准金额、汇率
ALTER TABLE `AR_FLOW_EXCHANGE_POINTS` ADD COLUMN `AMOUNT_STANDARD` float(16,2) NOT NULL DEFAULT 0.00 COMMENT '奖金数额-标准数值' AFTER `AMOUNT`;
ALTER TABLE `AR_FLOW_EXCHANGE_POINTS` ADD COLUMN `EXCHANGE_RATE` float(10,4) NOT NULL DEFAULT 0.00 COMMENT '汇率' AFTER `AMOUNT_STANDARD`;
